// for margin and padding -> 0, 8, 10, 16, 20, 24, 32
// for font-size          -> 10, 12, 14, 16, 18, 20, 36
// font-weight            -> 400, 500, 600, 700

// font-weight    ->  fw-(number)  ->  fw-400, fw-500, fw-600, fw-700
// font-size      ->  fs-(number)  ->  fs-10, fs-12, fs-14, fs-16, fs-18, fs-20

// margin         ->  m-(number)   ->  m-0, m-8, m-10, m-16, m-20, m-24, m-32
// margin-top     ->  mt-(number)  ->  mt-0, mt-8, mt-10, mt-16, mt-20, mt-24, mt-32
// margin-bottom  ->  mb-(number)  ->  mb-0, mb-8, mb-10, mb-16, mb-20, mb-24, mb-32
// margin-right   ->  mr-(number)  ->  mr-0, mr-8, mr-10, mr-16, mr-20, mr-24, mr-32
// margin-left    ->  ml-(number)  ->  ml-0, ml-8, ml-10, ml-16, ml-20, ml-24, ml-32

// padding        ->  p-(number)   ->  p-0, p-8, p-10, p-16, p-20, p-24, p-32
// padding-top    ->  pt-(number)  ->  pt-0, pt-8, pt-10, pt-16, pt-20, pt-24, pt-32
// padding-bottom ->  pb-(number)  ->  pb-0, pb-8, pb-10, pb-16, pb-20, pb-24, pb-32
// padding-right  ->  pr-(number)  ->  pr-0, pr-8, pr-10, pr-16, pr-20, pr-24, pr-32
// padding-left   ->  pl-(number)  ->  pl-0, pl-8, pl-10, pl-16, pl-20, pl-24, pl-32

// Special cases
// mb-4, mtb-8, mrl-8, mtb-16, mrl-16, mrl-auto
// p-4, ptb-8, prl-8, ptb-16, prl-16, p-8-12, p-8-16


// for creating loop
// @for $x from 0 to 4 {
//     .m-#{$x}{
//         margin: $x * 4px;
//     }
// }

// $list : (0, 8, 10, 16, 20, 24, 32);
// @each $x in $list {
//     .m-#{$x}{
//         margin: $x + 0px;
//     }
// }

.fw-400 {
    font-weight: 400;
}

.fw-500 {
    font-weight: 500;
}

.fw-600 {
    font-weight: 600;
}

.fw-700 {
    font-weight: 700;
}

.fs-10 {
    font-size: 10px;
}

.fs-12 {
    font-size: 12px;
}

.fs-14 {
    font-size: 14px;
}

.fs-16 {
    font-size: 16px;
}

.fs-18 {
    font-size: 18px;
}

.fs-20 {
    font-size: 20px;
}

.fs-28 {
    font-size: 28px;
}

.fs-36 {
    font-size: 36px;
}

.m-0 {
    margin: 0px;
}

.m-8 {
    margin: 8px;
}

.m-10 {
    margin: 10px;
}

.m-16 {
    margin: 16px;
}

.m-20 {
    margin: 20px;
}

.m-24 {
    margin: 24px;
}

.m-32 {
    margin: 32px;
}

.mt-0 {
    margin-top: 0px;
}

.mt-8 {
    margin-top: 8px;
}

.mt-10 {
    margin-top: 10px;
}

.mt-16 {
    margin-top: 16px;
}

.mt-20 {
    margin-top: 20px;
}

.mt-24 {
    margin-top: 24px;
}

.mt-32 {
    margin-top: 32px;
}

.mb-0 {
    margin-bottom: 0px;
}

.mb-8 {
    margin-bottom: 8px;
}

.mb-10 {
    margin-bottom: 10px;
}

.mb-16 {
    margin-bottom: 16px;
}

.mb-20 {
    margin-bottom: 20px;
}

.mb-24 {
    margin-bottom: 24px;
}

.mb-32 {
    margin-bottom: 32px;
}

.mb-45 {
    margin-bottom: 45px;
}

.ml-0 {
    margin-left: 0px;
}

.ml-8 {
    margin-left: 8px;
}

.ml-10 {
    margin-left: 10px;
}

.ml-16 {
    margin-left: 16px;
}

.ml-20 {
    margin-left: 20px;
}

.ml-24 {
    margin-left: 24px;
}

.ml-32 {
    margin-left: 32px;
}

.mr-0 {
    margin-right: 0px;
}

.mr-8 {
    margin-right: 8px;
}

.mr-10 {
    margin-right: 10px;
}

.mr-16 {
    margin-right: 16px;
}

.mr-20 {
    margin-right: 20px;
}

.mr-24 {
    margin-right: 24px;
}

.mr-32 {
    margin-right: 32px;
}

.p-0 {
    padding: 0px;
}

.p-8 {
    padding: 8px;
}

.p-10 {
    padding: 10px;
}

.p-16 {
    padding: 16px;
}

.p-20 {
    padding: 20px;
}

.p-24 {
    padding: 24px;
}

.p-32 {
    padding: 32px;
}

.pt-0 {
    padding-top: 0px;
}

.pt-8 {
    padding-top: 8px;
}

.pt-10 {
    padding-top: 10px;
}

.pt-16 {
    padding-top: 16px;
}

.pt-20 {
    padding-top: 20px;
}

.pt-24 {
    padding-top: 24px;
}

.pt-32 {
    padding-top: 32px;
}

.pb-0 {
    padding-bottom: 0px;
}

.pb-8 {
    padding-bottom: 8px;
}

.pb-10 {
    padding-bottom: 10px;
}

.pb-16 {
    padding-bottom: 16px;
}

.pb-20 {
    padding-bottom: 20px;
}

.pb-24 {
    padding-bottom: 24px;
}

.pb-32 {
    padding-bottom: 32px;
}

.pl-0 {
    padding-left: 0px;
}

.pl-8 {
    padding-left: 8px;
}

.pl-10 {
    padding-left: 10px;
}

.pl-16 {
    padding-left: 16px;
}

.pl-20 {
    padding-left: 20px;
}

.pl-24 {
    padding-left: 24px;
}

.pl-32 {
    padding-left: 32px;
}

.pr-0 {
    padding-right: 0px;
}

.pr-8 {
    padding-right: 8px;
}

.pr-10 {
    padding-right: 10px;
}

.pr-16 {
    padding-right: 16px;
}

.pr-20 {
    padding-right: 20px;
}

.pr-24 {
    padding-right: 24px;
}

.pr-32 {
    padding-right: 32px;
}

// special cases
.mb-4 {
    margin-bottom: 4px;
}

.mrl-auto {
    margin-right: auto;
    margin-left: auto;
}

.mtb-8 {
    margin-top: 8px;
    margin-bottom: 8px;
}

.mrl-8 {
    margin-right: 8px;
    margin-left: 8px;
}

.mtb-16 {
    margin-top: 16px;
    margin-bottom: 16px;
}

.mrl-16 {
    margin-right: 16px;
    margin-left: 16px;
}

.p-4 {
    padding: 4px;
}

.ptb-8 {
    padding-top: 8px;
    padding-bottom: 8px;
}

.prl-8 {
    padding-right: 8px;
    padding-left: 8px;
}

.ptb-16 {
    padding-top: 16px;
    padding-bottom: 16px;
}

.prl-16 {
    padding-right: 16px;
    padding-left: 16px;
}

.p-8-12 {
    padding: 8px 12px;
}

.p-8-16 {
    padding: 8px 16px;
}